
Foreman - Bug #6991

API v2 - support unwrapped POST/PUT parameters even though it's not documented

08/07/2014 03:05 PM - Joseph Magen

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

add wrap_parameters for each controller to wrap setter methods that are not db attribute_names

Related issues:

Related to Foreman - Bug #6696: API v2 - specify the key in which the paramet... Closed 07/20/2014

Has duplicate Foreman - Bug #8017: *_ids attributes have to be wrapped in an ... Duplicate 10/21/2014

Has duplicate Foreman - Bug #19335: Adding media via the REST API does not co... Duplicate 04/20/2017

History

#1 - 08/08/2014 03:51 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1668 added

- Pull request deleted ()

#2 - 08/11/2014 03:46 AM - Dominic Cleal

- Related to Bug #6696: API v2 - specify the key in which the parameters would be wrapped rather than passing model name added

#3 - 08/20/2014 06:51 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#4 - 09/10/2014 07:22 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#5 - 09/30/2014 10:50 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#6 - 10/23/2014 04:20 AM - Dominic Cleal

- Has duplicate Bug #8017: *_ids attributes have to be wrapped in an extra hash added

#7 - 02/29/2016 06:53 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Joseph Magen)

- Target version deleted (1.7.2)

- Pull request deleted (https://github.com/theforeman/foreman/pull/1668)

PR was closed.  The manual does document unwrapped parameters, while apipie prefers wrapped.  Both should work as it's currently documented,

so I'm leaving this open.

#8 - 05/04/2017 03:18 AM - Dominic Cleal

- Has duplicate Bug #19335: Adding media via the REST API does not correctly associate org/location added
